## rsplib-3.5.5.tar.xz

=== CMakeLists.txt ===
# --------------------------------------------------------------------------
#
#              //===//   //=====   //===//   //       //   //===//
#             //    //  //        //    //  //       //   //    //
#            //===//   //=====   //===//   //       //   //===<<
#           //   \\         //  //        //       //   //    //
#          //     \\  =====//  //        //=====  //   //===//   Version III
#
# ------------- An Efficient RSerPool Prototype Implementation -------------
#
# Copyright (C) 2002-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
PROJECT(rsplib LANGUAGES C CXX)

SET(BUILD_MAJOR "3")
SET(BUILD_MINOR "5")
SET(BUILD_PATCH "5")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


#############################################################################
#### UNINSTALL                                                           ####
#############################################################################

IF(NOT TARGET uninstall)
   CONFIGURE_FILE(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#############################################################################
#### OS-DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   ADD_DEFINITIONS("-D_DEFAULT_SOURCE")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/local/include")
   SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
   SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
   MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
   SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
   SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
   INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
   MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### CHECK STRUCT MEMBERS                                                ####
#############################################################################

INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)

CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
IF (HAVE_SA_LEN)
   MESSAGE(STATUS "HAVE_SA_LEN")
   ADD_DEFINITIONS(-DHAVE_SA_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in" "sin_len" "sys/types.h;netinet/in.h" HAVE_SIN_LEN)
IF (HAVE_SIN_LEN)
   MESSAGE(STATUS "HAVE_SIN_LEN")
   ADD_DEFINITIONS(-DHAVE_SIN_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in6" "sin6_len" "sys/types.h;netinet/in.h" HAVE_SIN6_LEN)
IF (HAVE_SIN6_LEN)
   MESSAGE(STATUS "HAVE_SIN6_LEN")
   ADD_DEFINITIONS(-DHAVE_SIN6_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" "ss_len" "sys/types.h;sys/socket.h" HAVE_SS_LEN)
IF (HAVE_SS_LEN)
   MESSAGE(STATUS "HAVE_SS_LEN")
   ADD_DEFINITIONS(-DHAVE_SS_LEN)
ENDIF()


#############################################################################
#### CHECK OPTIONS                                                       ####
#############################################################################

# Maximum logging level
SET(MAX_LOGLEVEL "9" CACHE STRING "Maximum logging level")
ADD_DEFINITIONS(-DMAX_LOGLEVEL=${MAX_LOGLEVEL})

# Registrar statistics
OPTION(ENABLE_REGISTRAR_STATISTICS "Enable Registrar statistics" 1)
IF (ENABLE_REGISTRAR_STATISTICS)
   ADD_DEFINITIONS(-DENABLE_REGISTRAR_STATISTICS)
ENDIF()

# Handlespace Management verification
OPTION(ENABLE_HSMGTVERIFY   "Enable handlespace management verification" 0)
IF(ENABLE_HSMGTVERIFY)
   ADD_DEFINITIONS(-DVERIFY)
ENDIF()

# Registrar statistics
OPTION(ENABLE_CSP           "Enable CSP" 1)
IF (ENABLE_CSP)
   ADD_DEFINITIONS(-DENABLE_CSP)
ENDIF()

# Qt programs
OPTION(ENABLE_QT            "Include Qt programs" 1)

# # KDE programs
# OPTION(ENABLE_KDE          "Include KDE programs" 0)

# Kernel SCTP
OPTION(USE_KERNEL_SCTP      "Use Kernel SCTP" 1)

# Test programs
OPTION(ENABLE_TEST_PROGRAMS "Build test programs" 0)

# Icons and logo files
OPTION(ENABLE_ICONS         "Build RSPLIB icons and logo files" 1)


# Handlespace management storage implementation
ADD_DEFINITIONS(-DINCLUDE_SIMPLEREDBLACKTREE -DUSE_SIMPLEREDBLACKTREE)


#############################################################################
#### REQUIREMENTS                                                        ####
#############################################################################

# ====== Valgrind ===========================================================
CHECK_INCLUDE_FILE("valgrind/memcheck.h" HAVE_VALGRIND_MEMCHECK_H)
IF(HAVE_VALGRIND_MEMCHECK_H)
   ADD_DEFINITIONS(-DHAVE_VALGRIND_MEMCHECK_H)
ENDIF()


# ====== Threads ============================================================
FIND_PACKAGE(Threads REQUIRED)


# ====== Qt =================================================================
IF (ENABLE_QT OR ENABLE_KDE)
   SET(CMAKE_AUTOMOC ON)
   FIND_PACKAGE(QT NAMES Qt6 COMPONENTS Core Network Widgets Xml)
   IF (NOT QT_FOUND)
      FIND_PACKAGE(QT NAMES Qt5 REQUIRED COMPONENTS Core Network Widgets Xml)
   ENDIF()
   MESSAGE("Using Qt version ${QT_VERSION_MAJOR}!")
   FIND_PACKAGE(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Network Widgets Xml)
ENDIF()


# # ====== KDE ================================================================
# IF (ENABLE_KDE)
#    # Needed:
#    # KDE5: libkf5coreaddons-dev libkf5xmlgui-dev
#    # KDE6: libkf6coreaddons-dev libkf6xmlgui-dev
#
#    FIND_PACKAGE(ECM "1.0.0" NO_MODULE REQUIRED)
#    SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
#
#    INCLUDE(KDEInstallDirs)
#    INCLUDE(KDECMakeSettings)
#    INCLUDE(KDECompilerSettings NO_POLICY_SCOPE)
#    INCLUDE(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
#
#    FIND_PACKAGE(KF${QT_VERSION_MAJOR} "${QT_VERSION_MAJOR}.0.0" REQUIRED COMPONENTS CoreAddons WidgetsAddons)
# ENDIF()


# ====== SCTP ==============================================================#
IF (USE_KERNEL_SCTP)
   # ====== Kernel SCTP =====================================================
   CHECK_INCLUDE_FILE(netinet/sctp.h HAVE_NETINET_SCTP_H)
   IF (HAVE_NETINET_SCTP_H)
      SET(SCTP_INCLUDE "netinet/sctp.h")
      ADD_DEFINITIONS(-DHAVE_KERNEL_SCTP -DHAVE_NETINET_SCTP_H)
      IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
         FIND_LIBRARY(SCTP_LIB sctp REQUIRED)
      ELSE()
         FIND_LIBRARY(SCTP_LIB sctp)
      ENDIF()
      IF (SCTP_LIB)
         SET(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${SCTP_LIB})
      ELSE()
         SET(SCTP_LIB "")
      ENDIF()
   ENDIF()

ELSE()
   # ====== SCTPLIB User-Space SCTP =========================================
   CHECK_INCLUDE_FILE(sctp.h HAVE_SCTPLIB_SCTP_H)
   FIND_LIBRARY(SCTPLIB_LIB sctplib)
   IF (NOT HAVE_SCTPLIB_SCTP_H OR NOT SCTPLIB_LIB)
      MESSAGE(FATAL_ERROR "sctplib not found - libsctplib installed?")
   ENDIF()
   MESSAGE(STATUS "sctplib found: ${SCTPLIB_LIB}")

   CHECK_INCLUDE_FILE(sctp.h HAVE_SCTPSOCKET_SCTP_H)
   FIND_LIBRARY(SCTPSOCKET_LIB sctpsocket)
   IF (NOT HAVE_SCTPSOCKET_SCTP_H OR NOT SCTPSOCKET_LIB)
      MESSAGE(FATAL_ERROR "sctpsocket not found - libsctpsocket installed?")
   ENDIF()
   MESSAGE(STATUS "sctpsocket found: ${SCTPSOCKET_LIB}")

   FIND_PACKAGE(PkgConfig)
   PKG_CHECK_MODULES(GLIB glib-2.0)
   IF (NOT ${GLIB_LIBS})
      MESSAGE(FATAL_ERROR "glib not found - glib-2.0 installed?")
   ENDIF()
   MESSAGE(STATUS "glib found: ${GLIB_LIBRARIES}")

   SET(SCTP_LIB ${SCTPSOCKET_LIB} ${SCTPLIB_LIB} ${GLIB_LIBRARIES})
   SET(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${SCTPSOCKET_LIB} ${SCTPLIB_LIB} ${GLIB_LIBRARIES})
ENDIF()


# ====== Graphics tools for icons and logo ==================================
IF (ENABLE_ICONS)
   FIND_PROGRAM(GS gs PATHS /bin /usr/bin /usr/local/bin)
   IF(NOT GS)
      MESSAGE(FATAL_ERROR
            " Cannot find GhostScript! Try:\n"
            " * Ubuntu/Debian: sudo apt install -y ghostscript\n"
            " * Fedora:        sudo dnf install -y ghostscript\n"
            " * FreeBSD:       sudo pkg install -y ghostscript10")
   ENDIF()

   FIND_PROGRAM(PDF2SVG pdf2svg PATHS /bin /usr/bin /usr/local/bin)
   IF(NOT PDF2SVG)
      MESSAGE(FATAL_ERROR
            " Cannot find PDF2SVG! Try:\n"
            " * Ubuntu/Debian: sudo apt install -y pdf2svg\n"
            " * Fedora:        sudo dnf install -y pdf2svg\n"
            " * FreeBSD:       sudo pkg install -y pdf2svg")
   ENDIF()

   FIND_PROGRAM(GM gm PATHS /bin /usr/bin /usr/local/bin)
   IF(NOT GM)
      MESSAGE(FATAL_ERROR
            " Cannot find GraphicsMagick! Try:\n"
            " * Ubuntu/Debian: sudo apt install -y graphicsmagick\n"
            " * Fedora:        sudo dnf install -y GraphicsMagick\n"
            " * FreeBSD:       sudo pkg install -y GraphicsMagick")
   ENDIF()
ENDIF()


# ====== Functions ==========================================================
INCLUDE(CheckFunctionExists)
INCLUDE(CheckSymbolExists)

=== freebsd/rsplib/Makefile ===
PORTNAME=	rsplib
DISTVERSION=	3.5.5
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/rserpool/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	RSerPool Framework and Example Applications
WWW=		https://www.nntb.no/~dreibh/rserpool/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

BUILD_DEPENDS=	gm:graphics/GraphicsMagick \
		pdf2svg:graphics/pdf2svg

USES=		cmake desktop-file-utils ghostscript:10,build gl qt:6 \
		shebangfix tar:xz
USE_GL=		gl opengl
USE_LDCONFIG=	yes
USE_QT=		base

SHEBANG_FILES=	src/scriptingserviceexample

CMAKE_ARGS=	-DCMAKE_INSTALL_DOCDIR=${DOCSDIR} \
		-DENABLE_CSP=1 \
		-DENABLE_QT=1 \
		-DUSE_KERNEL_SCTP=1

# Work-around for build issue on ARM (https://bugs.freebsd.org/285706):
MAKE_ENV=	OMP_NUM_THREADS=1

PLIST_SUB=	DISTVERSION=${DISTVERSION}

.include <bsd.port.mk>

=== debian/changelog ===
rsplib (3.5.5-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * Fixes "typedef bool" issue (Closed: #1114349).
  * debian/sources/lintian-overrides: Added Lintian overrides to ignore
    long lines in documentation, configuration files, translation files,
    etc.
  * debian/control: Removed "Rules-Requires-Root: no",
    since it is default now.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 07 Oct 2025 17:38:47 +0200

rsplib (3.5.4-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 16:37:21 +0200

rsplib (3.5.3-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 05 Jul 2025 16:36:58 +0200

rsplib (3.5.2-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 12 May 2025 22:53:36 +0200

rsplib (3.5.1-2ubuntu1) trixie; urgency=medium

  * debian/control: Fixed conflicts (Closes: #1100891).
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 20 Mar 2025 16:44:08 +0100

rsplib (3.5.1-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 17 Feb 2025 21:45:08 +0100

rsplib (3.5.0-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:27:18 +0100

rsplib (3.4.10-1ubuntu1) noble; urgency=medium

  * New upstream release.
  * debian/librsplib3.symbols: Added missing symbol.
  * debian/control: Fixed Multi-Arch settings.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 07 Aug 2024 21:04:48 +0200

rsplib (3.4.9-1ubuntu1) noble; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.0.
  * debian/control: Removed unnecessary build dependencies.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 08 Jun 2024 14:17:19 +0200

rsplib (3.4.8-1ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 11 Apr 2024 10:09:15 +0200

rsplib (3.4.7-2) unstable; urgency=high

  * New upstream release.
  * Rename libraries for 64-bit time_t transition (Closes: #1062869).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 10 Feb 2024 13:46:58 +0100

rsplib (3.4.7-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 18 Dec 2023 13:03:23 +0100

rsplib (3.4.6-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 18 Dec 2023 12:53:20 +0100

rsplib (3.4.5-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Fixed dependency on obsolete lsb-core.
  * debian/control: Removed unnecessary constraints.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:06 +0100

rsplib (3.4.4-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:48:46 +1100

rsplib (3.4.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:04:18 +0200

rsplib (3.4.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 22 Aug 2022 20:23:36 +0200

rsplib (3.4.1-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * libatomic needed for mipsel architecture (Closes: #1002569).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 10 Jan 2022 09:56:05 +0100

rsplib (3.4.0-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * Fix for ARM build issue (Closes: #1002536).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 03 Jan 2022 11:18:27 +0100

rsplib (3.3.3-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Fixed use of substitution variable ${shlibs:Depends}.
  * debian/*.symbols: Updated symbols.
  * debian/copyright: Fix for src/sha1.c.
  * debian/: Using dh_installman for the manpages.
  * Closes: #516750 (ITP).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 08 Nov 2021 19:58:17 +0100

rsplib (3.3.2-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 25 Oct 2021 21:33:19 +0200

rsplib (3.3.1-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 03 May 2021 20:09:52 +0200

rsplib (3.3.0-1ubuntu1) hirsute; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 06 Mar 2021 23:37:12 +0100

rsplib (3.2.7-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 14 Feb 2021 17:41:21 +0100

rsplib (3.2.6-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:00:35 +0100

rsplib (3.2.5-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 07 Feb 2020 13:21:02 +0100

rsplib (3.2.4-1ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 17:40:55 +0200

rsplib (3.2.3-1ubuntu1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Tue, 06 Aug 2019 11:08:42 +0200

rsplib (3.2.2-1ubuntu1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 14 Jun 2019 12:27:06 +0200



=== debian/control ===
Source: rsplib
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/rserpool/
Vcs-Git: https://github.com/dreibh/rsplib.git
Vcs-Browser: https://github.com/dreibh/rsplib
Build-Depends: cmake,
               debhelper (>= 12),
               ghostscript,
               graphicsmagick,
               libbz2-dev,
               libgl-dev,
               libsctp-dev,
               pdf2svg,
               qt6-base-dev
Standards-Version: 4.7.2

Package: librsplib3t64
Provides: ${t64:Provides}
Replaces: librsplib3
Breaks: librsplib3 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: RSerPool client/server API library for session management
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 The API library is provided by this package.

Package: librsplib-dev
Section: libdevel
Architecture: any
Depends: librsplib3t64 (= ${binary:Version}),
         ${misc:Depends}
Recommends: rsplib-doc (>= ${source:Version})
Description: headers of the RSerPool client/server API library rsplib
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides header files for the rsplib library. You need them
 to develop your own RSerPool-based clients and servers.

Package: libcpprspserver3t64
Provides: ${t64:Provides}
Replaces: libcpprspserver3
Breaks: libcpprspserver3 (<< ${source:Version})
Section: libs
Architecture: any
Depends: librsplib3t64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: C++ RSerPool client/server API library
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides the C++ API library.

Package: libcpprspserver-dev
Section: libdevel
Architecture: any
Depends: libcpprspserver3t64 (= ${binary:Version}),
         librsplib-dev (>= ${source:Version}),
         ${misc:Depends}
Recommends: rsplib-doc (>= ${source:Version})
Description: headers of the C++ RSerPool client/server API library
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides the header files for the rsplib C++ API. You need them to
 develop your own RSerPool-based clients and servers based on the C++ API.

Package: rsplib-doc
Provides: rsplib-docs
Replaces: rsplib-docs
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: rsplib-tools
Description: documentation of the RSerPool implementation RSPLIB
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package contains the documentation for the RSerPool implementation
 RSPLIB.

Package: rsplib-registrar
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-doc (>= ${source:Version})
Description: RSerPool Registrar service
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides the registrar, which is the management component
 for RSerPool-based server pools. You need at least one registrar in a
 setup, but for redundancy reasons, you should have at least two.

Package: rsplib-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: chrpath,
            rsplib-doc (>= ${source:Version})
Description: RSerPool test tools
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides some test tools for RSerPool setups.

Package: rsplib-services
Architecture: any
Depends: rsplib-common (>= ${source:Version}),
         rsplib-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-doc (>= ${source:Version})
Suggests: rsplib-fractalpooluser
Description: RSerPool example services
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides the rsplib RSerPool example services:
 Echo, Discard, Daytime, CharGen, CalcApp, and ScriptingService.

Package: rsplib-fractalpooluser
Architecture: any
Depends: rsplib-common (>= ${source:Version}),
         rsplib-tools (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: rsplib-doc (>= ${source:Version}),
            rsplib-services (= ${binary:Version})
Breaks: rsplib-services (<< 3.5.0)
Description: RSerPool-based fractal generator client
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides the provides the Pool User client for the
 FractalGenerator service. Is uses a Qt-based GUI.

Package: rsplib-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: rsplib-tools
Provides: rsplib-fgp-cfgfiles
Replaces: rsplib-fgp-cfgfiles
Breaks: rsplib-fgp-cfgfiles (<< ${source:Version})
Description: RSerPool Fractal Generator Service example input files
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This package provides common files for the example service.

Package: rsplib-all
Architecture: any
Depends: libcpprspserver-dev (>= ${source:Version}),
         libcpprspserver3t64 (= ${binary:Version}),
         librsplib-dev (>= ${source:Version}),
         librsplib3t64 (= ${binary:Version}),
         rsplib-common (>= ${source:Version}),
         rsplib-doc (>= ${source:Version}),
         rsplib-fractalpooluser (= ${binary:Version}),
         rsplib-registrar (= ${binary:Version}),
         rsplib-services (= ${binary:Version}),
         rsplib-tools (= ${binary:Version}),
         ${misc:Depends}
Description: RSerPool implementation RSPLIB
 Reliable Server Pooling (RSerPool) is the IETF's standard (RFC 5351 to
 RFC 5356) for a lightweight server pool and session management framework.
 It provides highly available pool management (that is registration
 handling and load distribution/balancing) by components called Registrar
 and a client-side/server-side API for accessing the service of a pool.
 .
 This is the installation metapackage for the RSerPool implementation RSPLIB.
 It installs all RSPLIB components.
